<?php

namespace App\Services\Payment\Interfaces;

use App\Enums\PaymentTypeEnum;
use App\Models\PaymentMethod;

interface PaymentInterface
{
    public function initialize(PaymentMethod $method, float $amount, float $charge, string $currency, PaymentTypeEnum $type = PaymentTypeEnum::DEPOSIT);

    public function pay();

    public function getService(string $slug);
}
